LogTransformer.Builder (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.instrumentation

## Class LogTransformer.Builder

- java.lang.Object
- - org.slf4j.instrumentation.LogTransformer.Builder

- Enclosing class:
    LogTransformer

      public static class LogTransformer.Builder
      extends Object

  Builder provides a flexible way of configuring some of many options on the parent class instead of providing many constructors. http://rwhansen.blogspot.com/2007/07/theres-builder-pattern-that-joshua.html

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogTransformer.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogTransformer.Builder` | `addEntryExit(boolean b)` Should each method log entry (with parameters) and exit (with parameters and return value)?
    `LogTransformer` | `build()` Build and return the LogTransformer corresponding to the options set in this Builder.
    `LogTransformer.Builder` | `ignore(String[] strings)`
    `LogTransformer.Builder` | `level(String level)`
    `LogTransformer.Builder` | `verbose(boolean b)` Should LogTransformer be verbose in what it does? This currently list the names of the classes being processed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogTransformer.Builder

          public LogTransformer.Builder()

  - ### Method Detail

    - #### build

          public LogTransformer build()

      Build and return the LogTransformer corresponding to the options set in this Builder.
      Returns:

    - #### addEntryExit

          public LogTransformer.Builder addEntryExit(boolean b)

      Should each method log entry (with parameters) and exit (with parameters and return value)?
      Parameters:
        `b` - value of flag
      Returns:

    - #### verbose

          public LogTransformer.Builder verbose(boolean b)

      Should LogTransformer be verbose in what it does? This currently list the names of the classes being processed.
      Parameters:
        `b` -
      Returns:

    - #### ignore

          public LogTransformer.Builder ignore(String[] strings)

    - #### level

          public LogTransformer.Builder level(String level)

Copyright © 2005–2017 QOS.ch. All rights reserved.